﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\
for details on configuring this project to bundle and minify static web assets. */

* {
    font-family: sans-serif;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: #656565;
}

.file-upload {
    display: none;
}

#gameFrame {
  padding: env(safe-area-inset-top) env(safe-area-inset-right) env(safe-area-inset-bottom) env(safe-area-inset-left);
}

.text-danger * {
    color: red;
    font-style:italic;
}

.form-label{
    margin-top: 0.5rem;
    margin-bottom: 0;
}


.stepRow {
    display: flex;
    gap: 15px;
    align-items: center;
    justify-content: space-between;
    background: #cedfe5;
    padding: 5px;
    margin-bottom: 5px;
    border: black 1px solid;
}

.stepButton {
    font-size: 15px;
    background: white;
    aspect-ratio: 1;
    border-radius: 50%;
    height: 40px;
    border: solid 2px #c5c5c5;
    font-weight: bold;
}

.nav-buttons {
    border-radius: 50px;
    border: solid 2px #c5c5c5;
    background: #ffffff;
    padding: 5px;
}

.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}

.file-container {
    display: grid;
    gap: 10px;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    padding-bottom: 100px
}

.files {
    display: flex;
    word-break: break-word;
    background-color: lightgray;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.images {
    margin-bottom: 20px;
    aspect-ratio: 9 / 16;
    position: relative;
    display: flex;
    justify-content: flex-end;
    overflow: visible;
    align-items: flex-end;
    flex-direction: row;
}

.button-container {
    height: 50px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px;
    position: relative;
    background-color: rgba(0, 0, 0, 0.4);
}

.button {
    border-radius: 10px;
    border: 0;
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    padding: 5px;
    justify-content: center;
    background-color: rgb(0, 165, 200);
    border: 2.5px outset white;
}

.button-delete {
    background-color: rgb(203, 37, 37);
    border: 2.5px outset white;
    padding: 8px;
}

.button-copy {
    background-color: rgb(20, 170, 0);
    border: 2.5px outset white;
}

.button:hover {
    background-color: rgb(0, 191, 200);
}

.button-delete:hover {
    background-color: rgba(220, 30, 30, 1);
}

.button-copy:hover {
    background-color: rgb(25, 195, 5);
}

.preview-image {
    position: absolute;
    top: 95%;
    left: 5%;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: none;
    z-index: 10;
    text-align: center;
    width: max-content
}

    button:hover + .preview-image,
    .preview-image:hover {
        display: flex;
        align-items: start;
        flex-direction: column;
    }

.playButton {
    pointer-events: auto;
    cursor: pointer;
    background: rgb(25, 177, 78);
    transition: filter 0.3s;
    display: flex;
    flex-direction: column;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    text-align: center;
    font-size: 18px;
    color: rgb(255, 255, 255);
    width: 80px;
    height: 35px;
    border-radius: 3px;
    margin-bottom: 10px;
}

.demoButton {
    pointer-events: auto;
    cursor: pointer;
    background: grey;
    transition: filter 0.3s;
    display: flex;
    flex-direction: column;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    text-align: center;
    color: rgb(255, 255, 255);
    width: 80px;
    height: 35px;
    border-radius: 3px;
    margin-bottom: 10px;
    font-size: 14px;
}

body {
    background: #FAFAFA;
    background: radial-gradient(circle at 18.7% 37.8%, rgb(250, 250, 250) 0%, rgb(225, 234, 238) 90%);
}

.favourite-button {
    background-image: url('data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzI0JyB2aWV3Qm94PScwIDAgMjQgMjQnIHdpZHRoPScyNCcgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdtMjAuMTggOS4yYTEgMSAwIDAgMCAtLjYtLjM1bC00Ljc3LS40Ni0xLjktNC40NmEuODUuODUgMCAwIDAgLS4yNS0uNTIuOTIuOTIgMCAwIDAgLTEuNTcuNTJsLTEuODggNC40NC00Ljc0LjQ2YTEgMSAwIDAgMCAtLjg1IDEuMTcgMSAxIDAgMCAwIC4zMi42bDMuNTggMy4yNi0xIDQuODZhLjk0Ljk0IDAgMCAwIC40OCAxLjExLjkyLjkyIDAgMCAwIC45MS0uMTJsMS0uNTguMi0uMTMgMi44OS0xLjggNC4wNiAyLjUxYTEgMSAwIDAgMCAuNjQuMTkuOTEuOTEgMCAwIDAgLjY0LS4zNC45NC45NCAwIDAgMCAuMTYtLjg4bC0xLTQuODcgMy41Ny0zLjI1YTEgMSAwIDAgMCAuMTEtMS4zNnptLTQuODggNC4xOCAxLjA5IDUuMTUtNC4zLTIuNjVoLS4wNWwtMy43MyAyLjI5LS42NS40MSAxLjA4LTUuMTYtMy44NS0zLjUxIDUtLjQ5aC4xMWwyLTQuNzkgMiA0Ljc0di4wNWw1LjEuNDl6JyBmaWxsPScjZmZmJyAvPjwvc3ZnPg=='), url('data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzI0JyB2aWV3Qm94PScwIDAgMjQgMjQnIHdpZHRoPScyNCcgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdtMTIgMGExMiAxMiAwIDEgMCAxMiAxMiAxMiAxMiAwIDAgMCAtMTItMTJ6bTAgMjIuODJhMTAuODIgMTAuODIgMCAxIDEgMTAuODItMTAuODIgMTAuODMgMTAuODMgMCAwIDEgLTEwLjgyIDEwLjgyeicgZmlsbD0nI2ZmZicgLz48L3N2Zz4=');
    height: 75%;
    aspect-ratio: 1;
    background-size: contain;
    background-color: unset;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
}

.separator {
    width: 1px;
    height: 25px;
    margin-left: 5px;
    border-radius: 5px;
    background: #636363;
}

.configButtonHide {
    display: none;
}

.configButtonShow {
    display: contents;
}

@media only screen and (max-width: 932px) and (min-width: 575px) {

    .game {
        margin-bottom: 20px;
        aspect-ratio: 9 / 16;
        position: relative;
        display: flex;
        justify-content: center;
        overflow: auto;
        align-items: center;
        flex-direction: column;
    }

    .container {
        max-width: none;
    }

    #casinogames {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        padding-top: 10px;
        column-gap: 14px;
    }
}

@media only screen and (max-width: 575px) {
    .game {
        margin-bottom: 20px;
        height: 60vh;
        aspect-ratio: 9 / 16;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    #casinogames {
        padding-top: 10px;
        column-count: 1;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media only screen and (min-width: 933px) {
    .game {
        margin-bottom: 20px;
        aspect-ratio: 9 / 16;
        position: relative;
        display: flex;
        justify-content: center;
        overflow: auto;
        align-items: center;
        flex-direction: column;
    }

    .playButton {
        pointer-events: auto;
        cursor: pointer;
        background: rgb(25, 177, 78);
        transition: filter 0.3s;
        display: flex;
        flex-direction: column;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        text-align: center;
        font-size: 18px;
        color: rgb(255, 255, 255);
        width: 146px;
        height: 35px;
        border-radius: 3px;
        margin-bottom: 10px;
    }

    .demoButton {
        pointer-events: auto;
        cursor: pointer;
        background: grey;
        transition: filter 0.3s;
        display: flex;
        flex-direction: column;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        text-align: center;
        color: rgb(255, 255, 255);
        width: 146px;
        height: 35px;
        border-radius: 3px;
        margin-bottom: 10px;
        font-size: 14px;
    }

    #casinogames {
        display: grid;
        padding-top: 10px;
        column-gap: 18px;
        justify-content: center;
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.wrapper_table {
    border: 1px solid #E4E4E4;
    border-bottom: none;
    border-radius: 8px;
    box-shadow: 0 1px 3px 1px #e5e5e5;
    min-width: 320px;
}

.custom-pb {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 50px 0 50px 0;
}

.header_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr 1fr 1fr 1fr;
    padding: 15px;
    background-color: #cedfe5;
    border-bottom: solid 1px #E4E4E4;
    font-size: 14px;
    font-weight: bold;
    align-items: center;
    gap: 10px;
}

.header_grid_secondary {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr 1fr 0.5fr 0.5fr;
    padding: 15px;
    background-color: #cedfe5;
    border-bottom: solid 1px #E4E4E4;
    font-size: 14px;
    font-weight: bold;
}

.header_grid_currency {
    display: grid;
    grid-template-columns: 1fr 1fr 0.5fr;
    padding: 15px;
    background-color: #cedfe5;
    border-bottom: solid 1px #E4E4E4;
    font-size: 14px;
    font-weight: bold;
}

.header_grid_user {
    grid-template-columns: 1fr 0.5fr 0.5fr 0.5fr 0.5fr;
}

.header_grid_template {
    grid-template-columns: 1fr 1fr 2fr 1fr 0.5fr;
}

.header_grid_file {
    grid-template-columns: 1fr 2fr 0.5fr 1fr 0.5fr;
}

.row_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr 1fr 1fr 1fr;
    padding: 25px 20px;
    background: #ffffff;
    border-bottom: solid 1px #E4E4E4;
    color: #797979;
    font-size: 16px;
    gap: 10px;
}

.row_grid_secondary {
    grid-template-columns: 1fr 1fr 2fr 1fr 0.5fr 0.5fr;
}

.row_grid_currency {
    grid-template-columns: 1fr 1fr 0.5fr;
}

.row_grid_user {
    grid-template-columns: 1fr 0.5fr 0.5fr 0.5fr 0.5fr;
}

.row_grid_template {
    grid-template-columns: 1fr 1fr 2fr 1fr 0.5fr;
}

.row_grid_file {
    grid-template-columns: 1fr 2fr 0.5fr 1fr 0.5fr;
}

.row_grid div {
    align-self: center;
}

.casino_id {
    font-weight: bold;
    color: #222;
}

.row_grid .buble {
    padding: 4px 10px 4px 25px;
    border-radius: 50px;
    background: #e1f7ea;
    color: #06a13c;
    position: relative;
    word-break: break-all;
}

.buble::before {
    content: '';
    width: 6px;
    height: 6px;
    position: absolute;
    left: 10px;
    top: 13px;
    margin-top: -3px;
    background: #06a13c;
    border-radius: 50%;
}

.row_grid button {
    border: none;
    background: transparent;
    cursor: pointer;
}

    .row_grid button:hover {
        opacity: 0.6;
    }

.management_wrapper {
    display: flex;
    gap: 10px;
    justify-content: center;
}


/* The container */
.container_checkbox {
    display: block;
    position: relative;
    height: 25px;
    width: 25px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .container_checkbox input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #cedfe5;
}

/* On mouse-over, add a grey background color */
.container_checkbox:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container_checkbox input:checked ~ .checkmark {
    background-color: #1568BD;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.container_checkbox input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.container_checkbox .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.btn_wrapper {
    display: flex;
    gap: 10px;
    justify-content: flex-end;
    margin-top: 10px;
}

    .btn_wrapper button {
        padding: 10px 20px;
        border-radius: 50px;
        font-size: 14px;
        background: #ffffff;
        border: solid 2px #c5c5c5;
        font-weight: bold;
        cursor: pointer;
        box-shadow: 0 6px 6px #cedfe5;
    }

        .btn_wrapper button:hover {
            background: #edf6f9;
        }

.casino_table_wrapper {
    max-width: 1400px;
    margin: 0 auto;
}

.header_nav {
    display: flex;
    padding: 20px 0;
    gap: 20px;
    align-items: center;
    justify-content: space-between;
    max-width: 1400px;
    margin: 0 auto;
}

.btn_log {
    padding: 10px 20px;
    border-radius: 50px;
    font-size: 14px;
    background: #ffffff;
    border: solid 2px #c5c5c5;
    font-weight: bold;
    cursor: pointer;
    box-shadow: 0 6px 6px #cedfe5;
}

    .btn_log:hover {
        background: #edf6f9;
    }

.navbar-brand {
    font-size: 22px;
    font-weight: bold;
}

.header_nav_right {
    display: flex;
    gap: 20px;
    align-items: center;
}

.user_mark {
    color: #1568BD;
    font-weight: bold;
}

.text_color {
    color: #1568BD;
}

.game_form {
    padding: 40px 20px 20px 20px;
    border: 1px solid #E4E4E4;
    border-bottom: none;
    border-radius: 8px;
    box-shadow: 0 1px 3px 1px #e5e5e5;
    min-width: 320px;
    background: #ffffff;
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin: 0 auto;
    width: 420px;
    position: relative;
    margin-top: 25px;
}

.close_icon {
    right: 10px;
    border: none;
    background: transparent;
    position: absolute;
    top: 10px;
    font-size: 24px;
    color: #1568bd;
}

.form-control {
    height: 30px;
    background: #dbe8ed;
    border: solid 1px #dbe8ed;
    text-indent: 10px;
    margin-bottom: 5px;
    transition: all 0.25s ease-out;
}

input[type=text]:focus {
    background: #e1f7ea;
    border: solid 1px #656565;
    outline: none;
}

.checkbox_left {
    align-self: flex-start;
}

.custom-select {
    height: 30px;
    background: #dbe8ed;
    border: solid 1px #656565;
}

.form_btn_wrapper {
    margin-top: 10px;
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}


a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

a {
    color: #0077cc;
}

.form-control:focus {
    border-color: #0077cc;
    box-shadow: 0 0 0 0.2rem #0077cc;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn-link.nav-link:focus {
    outline: black auto 1px;
}

html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.pricing-header {
    max-width: 700px;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

html {
    position: relative;
    min-height: 100%;
}

/*body {
  margin-bottom: 60px;
}*/
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    overflow: scroll;
    white-space: nowrap;
    line-height: 60px;
}
